Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::trim_base_fn Struct Reference
Inheritance diagram for ranges::views::trim_base_fn:

## Public Member Functions
template<typename Rng , typename Pred > requires viewable_range<Rng> && bidirectional_range<Rng> && indirect_unary_predicate<Pred, iterator_t<Rng>> && common_range<Rng>
constexpr trim_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const
template<typename Rng , typename Pred , typename Proj > requires viewable_range<Rng> && bidirectional_range<Rng> && indirect_unary_predicate<composed<Pred, Proj>, iterator_t<Rng>> && common_range<Rng>
constexpr trim_view< all_t< Rng >, composed< Pred, Proj > > | operator() (Rng &&rng, Pred pred, Proj proj) const